１．スクリプト一覧　(v0.7.02.10)
　│sozoku_svg.py  --> 0.7.02.09からの変更ファイル
　│check_platform.py
　│set_dispfont.py
　│select_font.py
　│sozoku_init.py　　

２．目的
  伝統的な縦書きの相続関係説明図（ある程度相続関係者が多いもの）を作成することを
  目的としています。相続人が数人程度の小規模な説明図を作成するのには不向きです。
  相続関係者が多い場合、相続関係者の調査と並行して説明図を作成していきますが、
  説明図上の関係者の位置を変更することが多々あります。表計算ソフトなどを使って
  作成していると関係者の追加や削除で位置変更や接続線の引き直しで結構手間を
  取られます。
  このスクリプトは関係者の位置変更をマウスで行い、接続線は関係者の移動に従って
  自動的に引き直されるなど、ある程度の規模の説明図を少しでも楽に作成しようと
  するものです。
  
３．動作環境
　python3　ver3.3以上を推奨

４．標準ライブラリ以外の追加モジュール等
  canvasvg
  zenhan
  （sdist形式の配布ファイルからpipでインストールする場合は自動的にインストールされます。）

５．あったほうが望ましいプログラム
　Inkscape
　  ｰ>svg形式ファイルをPDFに変換したり、編集する際に利用します。
　xte(xautomation) 
　 ｰ>Linux環境のみ。IME制御に利用します。
　poster 
　 ｰ>Linux環境のみ。大きな説明図を分割して出力する際に利用します。
　 
６．実行方法（その１）
  sozoku_svg_0.7.02.09.zipを解凍する場合（Linux,Windows,macOS）
　(1)任意のフォルダに配布ファイルを解凍する。
　(2)端末でpython3  sozoku_svg.py とタイプしてエンター（※１）
　　又は
　　Windows環境ならエクスプローラでsozoku_svg.pyのスクリプトをダブルクリック（※２）
　　　若しくは
　　　コマンドプロンプトで　python3 sozoku_svg.pyとタイプしてエンター（※１）
　　　（コマンドプロンプトからの実行を推奨：エラーがある場合、表示が残るので）
　(3)macOSで実行する場合の注意点
　			brewでインストールされたpython3は安定版ではないTcl/Tkとリンクされています。
　			sozoku_svgはTcl/Tkの安定版は8.5.18で動作します。（2017.12.5現在）
　			インストールされているTcl/Tkのバージョンが8.5.9など後継バージョンになっている
　			場合は、
　			・ActiveTcl8.5.18のDiskImageをダウンロードしてインストール
　			・python3をアンインストール
　			・	python.orgからpython3.xxをダウンロードしてインストール
	　			してください。
	　		その他は上記の(1),(2)と同じです。
	　		macOSでは一応動作しますが、日本語入力するときに入力確定前の文字が表示されない
	　		という不具合があります。python、TclTkとmacOSとの問題のようです。

　※１：①python2とpython3が共存している場合。
　　　　（python3のみの環境ならpython  sozoku_svg.py）
　　　　②python3へのパス設定ができていること
　　　　③動作にはcanvasvg、zenhanのモジュールのインストールが必要です。
　※２：インストールされているpythonが3系のみの場合でパス設定ができている場合

７．実行方法（その２）
		実行形式ファイル（Linux,Windows）をダウンロードした場合は、解凍したフォルダ内の
		sozoku_svg.exe(sozokusvg.exe)またはsozoku_svg(sozokusvg)を実行してください。
		macOSの実行形式ファイルは今のところ作成できていません。

８．実行方法（その３）
		pythonのソース配布形式のファイル（
		Linux用はsozokusvg-xxx-sdist.tar.gz、Windows用はsozokusvg-xxx-sdist.zip
		）	をダウンロードした場合は、
		Linuxでは pip install sozokusvg-xxx-sdist.tar.gz
		Windowsでは pip install sozokusvg-xxx-sdist.zip
		でpythonの実行環境に必須のモジュールとともにインストールされます。
		pythonの仮想環境にインストールする方が安全です。
		実行は端末やコマンドプロンプトからsozokuszgで起動できるはずです。
		※配布ファイル内のスクリプトは実行方法（その１）のスクリプトとは完全には一致しません。

９．連絡先
　ｒｅｎｒａｋｕ＠ｓｏｚｏｋｕ．ｉｎｂｌａｎｋ．ｎｅｔ
　（上記メールアドレスは全角表示になっています。半角に打ち替えてご使用ください。）

